MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028846Open CASCADE[OCCT] Website:Trackerpublic2017-06-15 14:542018-08-28 13:01
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0028846: Configuration - check document corruption during integration
DescriptionWe have observed several cases when documentation corruption remains unnoticed during integration, like patch for 0028259:
diff --git a/dox/dev_guides/upgrade/upgrade.md b/dox/dev_guides/upgrade/upgrade.md
index b998024..f26694e 100644 (file)
--- a/dox/dev_guides/upgrade/upgrade.md
+++ b/dox/dev_guides/upgrade/upgrade.md
@@ -1246,8 +1246,15 @@ In most cases this change should be transparent, however applications implementi
 
* Types GeomPlate_Array1OfHCurveOnSurface and GeomPlate_HArray1OfHCurveOnSurface have been replaced with 
GeomPlate_Array1OfHCurve and GeomPlate_HArray1OfHCurve correspondingly (accept base class Adaptor3d_HCurve 
instead of Adaptor3d_HCurveOnSurface).
 * Enumeration *Image_PixMap::ImgFormat*, previously declared as nested enumeration within class *Image_PixMap*, 
has been moved to global namespace as *Image_Format* following OCCT coding rules.
   The enumeration values have suffix Image_Format_ and preserve previous name scheme for easy renaming 
of old values - e.g. Image_PixMap::ImgGray become Image_Format_Gray.
+<<<<<<< HEAD
   Old definitions are preserved as depreacated aliases to the new ones;
 * The method BOPAlgo_Builder::Origins() returns BOPCol_DataMapOfShapeListOfShape instead of BOPCol_DataMapOfShapeShape.

+=======
+  Old definitions are preserved as depreacated aliases to the new ones.
+* The methods BOPDS_DS::IsToSort(const Handle(BOPDS_CommonBlock)&, Standard_Integer&) and BOPDS_DS::SortPaveBlocks(const 
Handle(BOPDS_CommonBlock)&) have been removed. The sorting is now performed during the addition of 
the Pave Blocks into Common Block.
+* The methods BOPAlgo_Tools::MakeBlocks() and BOPAlgo_Tools::MakeBlocksCnx() have been replaced with 
the single template method BOPAlgo_Tools::MakeBlocks(). The chains of connected elements are now stored 
into the list of list instead of data map.
+* The methods BOPAlgo_Tools::FillMap() have been replaced with the single template method BOPAlgo_Tools::FillMap().

+>>>>>>> 648fab3... 0028259: Method MakeBlocksCnx is duplicated in two different 
places in BOPAlgo


I don't know how it happens, but it would be great to prevent integration of patches with such issues into OCCT master. Possible ideas:
- Automatically check Doxygen errors / warnings, if not done already (through I'm not sure they occur in this particular case).
- Automatically check for "<<<<<<< HEAD" occurrences. Within program code such conflicts are trivially observed by compilation errors, but in other files they might be left unnoticed.
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships

-  Notes
(0067457)
bugmaster (administrator)
2017-06-15 15:27

Kirill,

I will make '- Automatically check for "<<<<<<< HEAD"' before push of each IR. I think it will be more acceptably.

- Issue History
Date Modified Username Field Change
2017-06-15 14:54 kgv New Issue
2017-06-15 14:54 kgv Assigned To => bugmaster
2017-06-15 14:55 kgv Description Updated View Revisions
2017-06-15 15:27 bugmaster Note Added: 0067457
2017-07-24 10:13 bugmaster Status new => feedback
2017-08-16 15:48 kgv Target Version 7.2.0 => 7.3.0
2017-08-16 15:49 kgv Category OCCT:Configuration => Website:Tracker
2017-08-30 14:58 apv Test case number => Not required
2018-06-08 17:00 bugmaster Target Version 7.3.0 => 7.4.0*
2018-08-28 13:01 bugmaster Status feedback => closed
2018-08-28 13:01 bugmaster Resolution open => fixed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker